SW4P Documentation
Browse documentation
Estimate

POST /sdk/v1/estimate

Estimate

Get a fee estimate before executing a transfer.

Request

from string Required

Source chain code

to string Required

Destination chain code

amount string Required

Amount in USDC

speed string

Transfer speed: fast or standard

Response

amount string

Original amount

fee object

fee breakdown

total string

Total fee

platform string

Platform fee

gas string

Gas cost

bridge string

Bridge fee

net_receive string

Amount recipient will receive

total_charge string

Total amount charged to sender

estimated_time_seconds number

Estimated transfer time

Example

bash · curl
curl -X POST https://api.sw4p.io/sdk/v1/estimate \
  -H "Content-Type: application/json" \
  -H "X-API-Key: sk_..." \
  -d '{
    "from": "BASE",
    "to": "SOLANA",
    "amount": "100.00"
  }'
json · Response
{
  "amount": "100.00",
  "fee": {
    "total": "2.50",
    "platform": "1.00",
    "gas": "1.50",
    "bridge": "0.00"
  },
  "net_receive": "97.50",
  "total_charge": "100.00",
  "estimated_time_seconds": 60
}